# gds-theme

**Class**: `GdsTheme`

**Tag**: `<gds-theme>`


## Properties

| Name | Type | Default | Description |
|------|------|---------|-------------|
| `colorScheme` | `'light' \| 'dark' \| 'auto'` | `-` | The theme mode. Can be `light`, `dark`, or `auto`. |
| `designVersion` | `'2016' \| '2023'` | `-` | The design version to use. Can be `16` or `23`. |


## Events

| Name | Type | Description |
|------|------|-------------|
| `gds-color-scheme-changed` | `CustomEvent<any>` | Fired when the color scheme changes. |
| `gds-design-version-changed` | `CustomEvent<any>` | Fired when the design version changes. |


## Slots

| Name | Description |
|------|-------------|
| `(default)` | The content to apply the theme to. |
